Announcement

Collapse
No announcement yet.

Help needed -Raspian with script give an error, "E:Unable to locate package fr24feed"

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help needed -Raspian with script give an error, "E:Unable to locate package fr24feed"

    Hey all

    new here, ive just come across the flightradar pi image and wanted to test it

    I have an old netbook that i loaded Raspian onto, fully updated.

    i ran the command:

    Code:
     sudo bash -c "$(wget -O - http://repo.feed.flightradar24.com/install_fr24_rpi.sh)"
    it starts to install then i get an error "E: Unable to locate package fr24feed"

    Code:
    pi@raspberry:~ $ sudbash -c "$(wget -O - http://repo.feed.flightradar24.com/in                                                                                                             stall_fr24_rpi.sh)"
    --2019-12-19 18:20:11--  http://repo.feed.flightradar24.com/install_fr24_rpi.sh
    Resolving repo.feed.flightradar24.com (repo.feed.flightradar24.com)... 52.216.20                                                                                                             4.205
    Connecting to repo.feed.flightradar24.com (repo.feed.flightradar24.com)|52.216.2                                                                                                             04.205|:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 1281 (1.3K) [application/x-sh]
    Saving to: ‘STDOUT’
    
    -                   100%[===================>]   1.25K  --.-KB/s    in 0s
    
    2019-12-19 18:20:11 (45.3 MB/s) - written to stdout [1281/1281]
    
    Hit:1 http://security.debian.org buster/updates InRelease
    Hit:2 http://ftp.debian.org/debian buster InRelease
    Hit:3 http://archive.raspberrypi.org/debian buster InRelease
    Hit:4 http://ftp.debian.org/debian buster-updates InRelease
    Hit:5 http://repo.feed.flightradar24.com flightradar24 InRelease
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    dirmngr is already the newest version (2.2.12-1+deb10u1).
    The following package was automatically installed and is no longer required:
      point-rpi
    Use 'sudo apt autoremove' to remove it.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Executing: /tmp/apt-key-gpghome.7zIk7uHMcg/gpg.1.sh --recv-key --keyserver pool.sks-keyservers.net 40C430F5
    gpg: key C969F07840C430F5: "Flightradar24 <support@fr24.com>" not changed
    gpg: Total number processed: 1
    gpg:              unchanged: 1
    Hit:1 http://security.debian.org buster/updates InRelease
    Hit:2 http://ftp.debian.org/debian buster InRelease
    Hit:3 http://ftp.debian.org/debian buster-updates InRelease
    Hit:4 http://archive.raspberrypi.org/debian buster InRelease
    Hit:5 http://repo.feed.flightradar24.com flightradar24 InRelease
    Reading package lists... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package fr24feed

    ive done a forum search and found something about adding the repository certificate?, i think ive ran the right command but still get the same error

    Any advise would be much appreciated!

    Thanks
    Last edited by bigup; 2019-12-19, 18:31.

  • #2
    The certificate is checked towards the bottom there

    You may have to do an architectural change to include apt sources for arm/pi.. i forget how right now.

    Or, see if it can find it on its own

    Sudo apt-get fr24feed

    Though it'll prob do the same until changed.
    Posts not to be taken as official support representation - Just a helpful uploader who tinkers

    Comment


    • #3
      Probably because you're on buster, not sure.

      Just download the package and install it:

      wget -O /tmp/fr24feed.deb https://repo-feed.flightradar24.com/...24-7_armhf.deb
      sudo dpkg -i /tmp/fr24feed.deb

      Comment


      • #4
        Thanks. I just browsed to the deb file, downloaded it then ran it and seems to have worked.

        awaiting the usb antenna to arrive today.

        i also tried on dietpi too and had the same error. FYI.

        Comment

        Working...
        X